Skip to main content
GET
https://tickward.com/api/v1
/
webhooks
/
{webhook_id}
/
deliveries
List webhook deliveries
curl --request GET \
  --url https://tickward.com/api/v1/webhooks/{webhook_id}/deliveries \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "webhook_delivery",
      "endpoint_id": "<string>",
      "event_id": "<string>",
      "attempt_count": 1,
      "next_attempt_at": "2026-10-10T09:30:00.000Z",
      "last_attempt_at": "2026-10-10T09:30:00.000Z",
      "delivered_at": "2026-10-10T09:30:00.000Z",
      "failed_at": "2026-10-10T09:30:00.000Z",
      "response_status": 123,
      "error": "<string>",
      "created_at": "2026-10-10T09:30:00.000Z",
      "updated_at": "2026-10-10T09:30:00.000Z"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
default:tw_your_api_key
required

Use a tickward API key from Settings. API keys start with tw_. Store keys as secrets and send them as Authorization: Bearer <key>.

Path Parameters

webhook_id
string
required

Webhook endpoint id.

Query Parameters

limit
integer
default:100

Maximum number of projects to return.

Required range: 1 <= x <= 100

Response

Successful response.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required